Bug 268751 - Memory sampling does not work
Memory sampling does not work
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Tomas Hurka
issues@profiler
82patch1-verified
: JDK_9
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-31 08:12 UTC by Tomas Hurka
Modified: 2016-12-13 13:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2016-10-31 08:12:27 UTC
With JDK 9, memory sampling fails with the following exception:

Profiler Agent Error: Exception when handling command from client:
Profiler Agent: Connection with agent closed
java.io.IOException: JFluid wire protocol error: code does not correspond to command or response. Value -1
Comment 1 Tomas Hurka 2016-10-31 15:01:44 UTC
Fixed in profiler-main

changeset:   301048:dd17da9e6dcf
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Oct 31 16:00:32 2016 +0100
summary:     bugfix #268751, use JMX to get heap histogram on JDK 9+
Comment 2 Quality Engineering 2016-11-02 03:04:16 UTC
Integrated into 'main-silver', will be available in build *201611020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/dd17da9e6dcf
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #268751, use JMX to get heap histogram on JDK 9+
Comment 3 Tomas Hurka 2016-11-03 16:47:00 UTC
Forgotten change:

changeset:   301480:ec12bb0664fc
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Nov 03 17:16:07 2016 +0100
summary:     bugfix #268751, use JMX to get heap histogram on JDK 9+
Comment 4 Quality Engineering 2016-11-05 02:58:30 UTC
Integrated into 'main-silver', will be available in build *201611050002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ec12bb0664fc
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #268751, use JMX to get heap histogram on JDK 9+
Comment 5 Tomas Hurka 2016-12-02 13:30:17 UTC
Fix transplanted to release82 branch:

changeset:   313494:804d67f75272
branch:      release82
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Nov 03 17:16:07 2016 +0100
files:       lib.profiler/src/org/netbeans/lib/profiler/server/ProfilerInterface.java
description:
bugfix #268751, use JMX to get heap histogram on JDK 9+
(transplanted from ec12bb0664fc23193c0365cfc883d1b639d9ed84)


changeset:   313495:be8bb6a7767c
branch:      release82
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Oct 31 16:00:32 2016 +0100
files:       lib.profiler/src-cvm/org/netbeans/lib/profiler/server/system/Histogram.java lib.profiler/src-jdk15/org/netbeans/lib/profiler/server/system/Histogram.java lib.profiler/src-jdk15/org/netbeans/lib/profiler/server/system/Histogram18.java lib.profiler/src-jdk15/org/netbeans/lib/profiler/server/system/Histogram19.java lib.profiler/src/org/netbeans/lib/profiler/server/HeapHistogramManager.java
description:
bugfix #268751, use JMX to get heap histogram on JDK 9+
(transplanted from dd17da9e6dcf2721140a8f56dae9a2b6ed0a1e45)
Comment 6 Jiri Skrivanek 2016-12-13 13:47:04 UTC
Verified in 8.2 with patch 1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo